/* header.h - 2000/05/12 */
/*
 *  EasyTAG - Viewer/Editor for MP3 Tags
 *  Copyright (C) 2000  Jerome Couderc <j.couderc@ifrance.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __HEADER_H__
#define __HEADER_H__


#include "mp3types.h"

#define MPEG_HEADER_LENGTH 4	/* 4 bytes => 32 bits */

/****************
 * Declarations *
 ****************/
typedef struct _Mpeg_Info Mpeg_Info;
struct _Mpeg_Info
{
	int version;
	int layer;
	int error_protection;
	int bitrate;
	int samplerate;
	int padding;
	int extension;
	int mode;
	int mode_extention;
	int copyright;
	int original;
	int emphasis;
	int framesize;
	long totalframes;
	int duration;
};



/**************
 * Prototypes *
 **************/

void Header_Read_Mp3 (MP3_File *mp3file);
void Header_Display (MP3_File *mp3file);
int Check_If_Mp3_By_Header (gchar *filename);

#endif /* __HEADER_H__ */

