/* mp3types.h - 2000/10/30 */
/*
 *  EasyTAG - Viewer/Editor for MP3 Tags
 *  Copyright (C) 2000  Jerome Couderc <j.couderc@ifrance.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __MP3TYPES_H__
#define __MP3TYPES_H__


/* Structure for id3tag.c */
typedef struct _ID3 ID3;
struct _ID3
{
	char *title;
	char *artist;
	char *album;
	char *year;
	char *track;
	char *genre;
	char *comment;
};


/* Structure for header.c */
typedef struct _MP3 MP3;
struct _MP3
{
	int version;
	int layer;
	int bitrate;
	int samplerate;
	int mode;
	int size;
	int duration;
};


/* Structure for a main MP3 data */
typedef struct _MP3_File MP3_File;
struct _MP3_File
{
	char *file;            /* Path + Filename */
	char *file_new;        /* The new filename including the path (when renaming file) */
	gint changed;          /* Contains types of changes (Change_Type) */
//	gint has_id3v1_tag;    /* Set to 1, if file contains an id3v1 tag */
//	gint has_id3v2_tag;    /* Set to 1, if file contains an id3v2 tag */
	ID3 id3;
	MP3 mp3;
};

enum Change_Type 
{ 	
	TAG_CHANGED        = 1<<0,    // Nota: complement operator is '~' and not '!'
	FILENAME_CHANGED   = 1<<1
};


#endif /* __MP3TYPES_H__ */
